URIResolver (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.resource, class: URIResolver

Package org.apache.cxf.resource

# Class URIResolver

java.lang.Object
org.apache.cxf.resource.URIResolver

All Implemented Interfaces:
  `AutoCloseable`

public class URIResolver extends Object implements AutoCloseable
Resolves a File, classpath resource, or URL according to the follow rules:

- Check to see if a file exists, relative to the base URI.
- If the file doesn't exist, check the classpath
- If the classpath doesn't exist, try to create URL from the URI.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `URIResolver()`
  `URIResolver(String path)`
  `URIResolver(String baseUriStr, String uriStr)`
  `URIResolver(String baseUriStr, String uriStr, Class<?> calling)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `File`
  `getFile()`
  `InputStream`
  `getInputStream()`
  `URI`
  `getURI()`
  `URL`
  `getURL()`
  `boolean`
  `isFile()`
  `boolean`
  `isResolved()`
  `void`
  `resolve(String baseUriStr, String uriStr, Class<?> callingCls)`
  `void`
  `unresolve()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### URIResolver

    public URIResolver()

  - ### URIResolver

    public URIResolver(String path) throws IOException
    Throws:
      `IOException`

  - ### URIResolver

    public URIResolver(String baseUriStr, String uriStr) throws IOException
    Throws:
      `IOException`

  - ### URIResolver

    public URIResolver(String baseUriStr, String uriStr, Class<?> calling) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### unresolve

    public void unresolve()

  - ### resolve

    public void resolve(String baseUriStr, String uriStr, Class<?> callingCls) throws IOException
    Throws:
      `IOException`

  - ### getURI

    public URI getURI()

  - ### getURL

    public URL getURL()

  - ### getInputStream

    public InputStream getInputStream()

  - ### isFile

    public boolean isFile()

  - ### getFile

    public File getFile()

  - ### isResolved

    public boolean isResolved()

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `IOException`